import {Entity, PrimaryGeneratedColumn, Column, JoinColumn, OneToOne} from "typeorm";
import {IsEmail} from "class-validator";
import {Address} from "./Address";

@Entity()
export class Customer {

    @PrimaryGeneratedColumn()
    id: number;

    @Column()
    name: string;

    @Column()
    @IsEmail()
    email: string;

    @OneToOne(() => Address)
    @JoinColumn()
    address: Address;
}